GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Attributes | List of all members
GpgFrontend::GpgAdvancedOperator Class Reference
Inheritance diagram for GpgFrontend::GpgAdvancedOperator:
Collaboration diagram for GpgFrontend::GpgAdvancedOperator:

## Public Member Functions
| GpgAdvancedOperator (int channel=SingletonFunctionObject::GetDefaultChannel())
| Construct a new Basic Operator object. More...
bool | ClearGpgPasswordCache ()
bool | ReloadGpgComponents ()
bool | RestartGpgComponents ()
bool | ResetConfigures ()
bool | StartGpgAgent ()
bool | StartDirmngr ()
bool | StartKeyBoxd ()
Public Member Functions inherited from GpgFrontend::SingletonFunctionObject< GpgAdvancedOperator >
| SingletonFunctionObject (const SingletonFunctionObject< GpgAdvancedOperator > &)=delete
| prohibit copy
| SingletonFunctionObject (GpgAdvancedOperator &&)=delete
| Construct a new Singleton Function Object object.
| SingletonFunctionObject (const GpgAdvancedOperator &)=delete
| Construct a new Singleton Function Object object.
SingletonFunctionObject & | operator= (const SingletonFunctionObject< GpgAdvancedOperator > &)=delete
| prohibit copy More...
void | operator= (const GpgAdvancedOperator &)=delete
int | GetChannel () const
| Get the Channel object. More...
Public Member Functions inherited from GpgFrontend::ChannelObject
| ChannelObject () noexcept
| Construct a new Default Channel Object object.
| ChannelObject (int channel)
| Construct a new Channel Object object. More...
int | GetChannel () const
| Get the Channel object. More...
void | SetChannel (int channel)
| Set the Channel object. More...

## Private Attributes
GpgContext & | ctx_
| Corresponding context. More...

## Additional Inherited Members
Static Public Member Functions inherited from GpgFrontend::SingletonFunctionObject< GpgAdvancedOperator >
static GpgAdvancedOperator & | GetInstance (int channel=GpgFrontend::GPGFRONTEND_DEFAULT_CHANNEL)
| Get the Instance object. More...
static GpgAdvancedOperator & | CreateInstance (int channel, std::function< std::unique_ptr< ChannelObject >(void)> factory)
| Create a Instance object. More...
static void | ReleaseChannel (int channel)
static int | GetDefaultChannel ()
| Get the Default Channel object. More...
static std::vector< int > | GetAllChannelId ()
| Get all the channel ids. More...
Static Public Member Functions inherited from GpgFrontend::ChannelObject
static int | GetDefaultChannel ()
| Get the Default Channel object. More...
Protected Member Functions inherited from GpgFrontend::SingletonFunctionObject< GpgAdvancedOperator >
| SingletonFunctionObject ()=default
| Construct a new Singleton Function Object object.
| SingletonFunctionObject (int channel)
| Construct a new Singleton Function Object object. More...
virtual | ~SingletonFunctionObject ()=default
| Destroy the Singleton Function Object object.

## Constructor & Destructor Documentation

## ◆ GpgAdvancedOperator()

GpgFrontend::GpgAdvancedOperator::GpgAdvancedOperator | ( | int | channel = `SingletonFunctionObject::GetDefaultChannel()` | ) |
| explicit

Construct a new Basic Operator object.

Parameters

  channel | Channel corresponding to the context

## Member Function Documentation

## ◆ ClearGpgPasswordCache()

bool GpgFrontend::GpgAdvancedOperator::ClearGpgPasswordCache | ( |  | ) |

Returns
  true
  false

References GpgFrontend::GpgCommandExecutor::Execute(), and GpgFrontend::SingletonFunctionObject< GpgCommandExecutor >::GetInstance().

## ◆ ReloadGpgComponents()

bool GpgFrontend::GpgAdvancedOperator::ReloadGpgComponents | ( |  | ) |

Returns
  true
  false

References GpgFrontend::GpgCommandExecutor::Execute(), and GpgFrontend::SingletonFunctionObject< GpgCommandExecutor >::GetInstance().

## ◆ ResetConfigures()

bool GpgFrontend::GpgAdvancedOperator::ResetConfigures | ( |  | ) |

Returns
  true
  false

References GpgFrontend::GpgCommandExecutor::Execute(), and GpgFrontend::SingletonFunctionObject< GpgCommandExecutor >::GetInstance().

## ◆ RestartGpgComponents()

bool GpgFrontend::GpgAdvancedOperator::RestartGpgComponents | ( |  | ) |

Returns
  true
  false

References GpgFrontend::GpgCommandExecutor::Execute(), and GpgFrontend::SingletonFunctionObject< GpgCommandExecutor >::GetInstance().

## ◆ StartDirmngr()

bool GpgFrontend::GpgAdvancedOperator::StartDirmngr | ( |  | ) |

Returns
  true
  false

References GpgFrontend::GpgCommandExecutor::Execute(), and GpgFrontend::SingletonFunctionObject< GpgCommandExecutor >::GetInstance().

## ◆ StartGpgAgent()

bool GpgFrontend::GpgAdvancedOperator::StartGpgAgent | ( |  | ) |

Returns
  true
  false

References GpgFrontend::GpgCommandExecutor::Execute(), and GpgFrontend::SingletonFunctionObject< GpgCommandExecutor >::GetInstance().

## ◆ StartKeyBoxd()

bool GpgFrontend::GpgAdvancedOperator::StartKeyBoxd | ( |  | ) |

Returns
  true
  false

References GpgFrontend::GpgCommandExecutor::Execute(), and GpgFrontend::SingletonFunctionObject< GpgCommandExecutor >::GetInstance().

## Member Data Documentation

## ◆ ctx_

GpgContext& GpgFrontend::GpgAdvancedOperator::ctx_
| private

Initial value:
= GpgContext::GetInstance(
SingletonFunctionObject::GetChannel())
GpgFrontend::SingletonFunctionObject< GpgContext >::GetInstance
static GpgContext & GetInstance(int channel=GpgFrontend::GPGFRONTEND_DEFAULT_CHANNEL)
Get the Instance object.
Definition: GpgFunctionObject.h:172
GpgFrontend::SingletonFunctionObject::GetChannel
int GetChannel() const
Get the Channel object.
Definition: GpgFunctionObject.h:258

Corresponding context.

The documentation for this class was generated from the following files:

- src/core/function/gpg/GpgAdvancedOperator.h
- src/core/function/gpg/GpgAdvancedOperator.cpp